Only in ioquake3svn1438: botlib.log
Only in ioquake3svn1438/code/cgame: cgame.bat
Only in ioquake3svn1438/code/cgame: cgame.plg
Only in ioquake3svn1438/code/cgame: cgame.q3asm
Only in ioquake3svn1438/code/cgame: cgame.sh
Only in ioquake3svn1438/code/cgame: cgame_ta.bat
Only in ioquake3svn1438/code/cgame: cgame_ta.q3asm
Only in ioquake3svn1438/code/cgame: cgame_ta.sh
diff -upr ioquake3svn1438/code/cgame/cg_consolecmds.c ioquake3serverFix/code/cgame/cg_consolecmds.c
--- ioquake3svn1438/code/cgame/cg_consolecmds.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_consolecmds.c	2008-08-09 11:28:23.000000000 -0500
@@ -299,7 +299,7 @@ static void CG_DenyOrder_f (void ) {
 }
 
 static void CG_TaskOffense_f (void ) {
-	if (cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION || cgs.gametype == GT_1FCTF) {
+	if (cgs.gametype == GT_CTF || cgs.gametype == GT_1FCTF) {
 		trap_SendConsoleCommand(va("cmd vsay_team %s\n", VOICECHAT_ONGETFLAG));
 	} else {
 		trap_SendConsoleCommand(va("cmd vsay_team %s\n", VOICECHAT_ONOFFENSE));
diff -upr ioquake3svn1438/code/cgame/cg_draw.c ioquake3serverFix/code/cgame/cg_draw.c
--- ioquake3svn1438/code/cgame/cg_draw.c	2008-07-05 13:25:32.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_draw.c	2008-08-09 11:28:23.000000000 -0500
@@ -390,24 +390,8 @@ void CG_DrawFlagModel( float x, float y,
 
 		if( team == TEAM_RED ) {
 			handle = cgs.media.redFlagModel;
-			if(cgs.gametype == GT_DOUBLE_D){
-				if(cgs.redflag == TEAM_BLUE)
-					handle = cgs.media.blueFlagModel;
-				if(cgs.redflag == TEAM_FREE)
-					handle = cgs.media.neutralFlagModel;
-				if(cgs.redflag == TEAM_NONE)
-					handle = cgs.media.neutralFlagModel;
-			}
 		} else if( team == TEAM_BLUE ) {
 			handle = cgs.media.blueFlagModel;
-			if(cgs.gametype == GT_DOUBLE_D){
-				if(cgs.redflag == TEAM_BLUE)
-					handle = cgs.media.blueFlagModel;
-				if(cgs.redflag == TEAM_FREE)
-					handle = cgs.media.neutralFlagModel;
-				if(cgs.redflag == TEAM_NONE)
-					handle = cgs.media.neutralFlagModel;
-			}
 		} else if( team == TEAM_FREE ) {
 			handle = cgs.media.neutralFlagModel;
 		} else {
@@ -546,7 +530,7 @@ static void CG_DrawStatusBar( void ) {
 	vec4_t		hcolor;
 	vec3_t		angles;
 	vec3_t		origin;
-        
+
 	static float colors[4][4] = { 
 //		{ 0.2, 1.0, 0.2, 1.0 } , { 1.0, 0.2, 0.2, 1.0 }, {0.5, 0.5, 0.5, 1} };
 		{ 1.0f, 0.69f, 0.0f, 1.0f },    // normal
@@ -559,10 +543,7 @@ static void CG_DrawStatusBar( void ) {
 	}
 
 	// draw the team background
-	if ( !(cg.snap->ps.pm_flags & PMF_FOLLOW) ) //If not following anybody:
-		CG_DrawTeamBackground( 0, 420, 640, 60, 0.33f, cg.snap->ps.persistant[PERS_TEAM] );
-	else //Sago: If we follow find the teamcolor of the guy we follow. It might not be our own team!
-		CG_DrawTeamBackground( 0, 420, 640, 60, 0.33f, cgs.clientinfo[ cg.snap->ps.clientNum ].team );
+	CG_DrawTeamBackground( 0, 420, 640, 60, 0.33f, cg.snap->ps.persistant[PERS_TEAM] );
 
 	cent = &cg_entities[cg.snap->ps.clientNum];
 	ps = &cg.snap->ps;
@@ -726,42 +707,6 @@ static float CG_DrawAttacker( float y ) 
 }
 
 /*
-================
-CG_DrawSpeedMeter
-
-================
-*/
-static float CG_DrawSpeedMeter( float y ) {
-	char        *s;
-	int         w;
-	vec_t       *vel;
-	int         speed;
-
-	/* speed meter can get in the way of the scoreboard */
-	if ( cg.scoreBoardShowing ) {
-		return y;
-	}
-
-	vel = cg.snap->ps.velocity;
-	/* ignore vertical component of velocity */
-	speed = sqrt(vel[0] * vel[0] + vel[1] * vel[1]);
-
-	s = va( "%iu/s", speed );
-
-	w = CG_DrawStrlen( s ) * BIGCHAR_WIDTH;
-
-	if (cg_drawSpeed.integer == 1) {
-		/* top left-hand corner of screen */
-		CG_DrawBigString( 635 - w, y + 2, s, 1.0F);
-		return y + BIGCHAR_HEIGHT + 4;
-	} else {
-		/* center of screen */
-		CG_DrawBigString( 320 - w / 2, 300, s, 1.0F);
-		return y;
-	}
-}
-
-/*
 ==================
 CG_DrawSnapshot
 ==================
@@ -850,291 +795,6 @@ static float CG_DrawTimer( float y ) {
 	return y + BIGCHAR_HEIGHT + 4;
 }
 
-/*
-CG_DrawDoubleDominationThings
- *
- *Sago: Might be relevant for debugging missionpack.
-*/
-
-/*static float CG_DrawDoubleDominationThings( float y ) {
-	char		*s;
-	int			w;
-	int 		statusA, statusB;
-	statusA = cgs.redflag;
-	statusB = cgs.blueflag;
-
-	if(statusA == TEAM_NONE) {
-		s = va("Point A not spawned");
-	} else
-	if(statusA == TEAM_FREE) {
-		s = va("Point A is not controlled");
-	} else
-	if(statusA == TEAM_RED) {
-		s = va("Point A is controlled by RED");
-	} else
-	if(statusA == TEAM_BLUE) {
-		s = va("Point A is controlled by BLUE");
-	} else
-		s = va("Point A has an error");
-	w = CG_DrawStrlen( s ) * SMALLCHAR_WIDTH;
-	CG_DrawSmallString( 635 - w, y + 2, s, 1.0F);
-	y+=SMALLCHAR_HEIGHT+4;
-
-	if(statusB == TEAM_NONE) {
-		s = va("Point B not spawned");
-	} else
-	if(statusB == TEAM_FREE) {
-		s = va("Point B is not controlled");
-	} else
-	if(statusB == TEAM_RED) {
-		s = va("Point B is controlled by RED");
-	} else
-	if(statusB == TEAM_BLUE) {
-		s = va("Point B is controlled by BLUE");
-	} else
-		s = va("Point B has an error");
-	w = CG_DrawStrlen( s ) * SMALLCHAR_WIDTH;
-	CG_DrawSmallString( 635 - w, y + 2, s, 1.0F);
-
-	if( ( ( statusB == statusA ) && ( statusA == TEAM_RED ) ) ||
-		( ( statusB == statusA ) && ( statusA == TEAM_BLUE ) ) ) {
-		s = va("Capture in: %i",(cgs.timetaken+10*1000-cg.time)/1000+1);
-		w = CG_DrawStrlen( s ) * SMALLCHAR_WIDTH;
-		y+=SMALLCHAR_HEIGHT+4;
-		CG_DrawSmallString( 635 - w, y + 2, s, 1.0F);
-	}
-
-	return y + SMALLCHAR_HEIGHT+4;
-}*/
-
-/*
-=================
-CG_DrawLMSmode
-=================
-*/
-
-static float CG_DrawLMSmode( float y ) {
-	char		*s;
-	int		w;
-
-	if(cgs.lms_mode == 0) {
-		s = va("LMS: Point/round + OT");
-	} else
-	if(cgs.lms_mode == 1) {
-		s = va("LMS: Point/round - OT");
-	} else
-	if(cgs.lms_mode == 2) {
-		s = va("LMS: Point/kill + OT");
-	} else
-	if(cgs.lms_mode == 3) {
-		s = va("LMS: Point/kill - OT");
-	} else
-		s = va("LMS: Unknown mode");
-
-	w = CG_DrawStrlen( s ) * SMALLCHAR_WIDTH;
-	CG_DrawSmallString( 635 - w, y + 2, s, 1.0F);
-
-	return y + SMALLCHAR_HEIGHT+4;
-}
-
-/*
-=================
-CG_DrawCTFoneway
-=================
-*/
-
-static float CG_DrawCTFoneway( float y ) {
-	char		*s;
-	int		w;
-	vec4_t		color;
-
-	if(cgs.gametype != GT_CTF_ELIMINATION)
-		return y;
-
-	memcpy(color,g_color_table[ColorIndex(COLOR_WHITE)],sizeof(color));
-
-	if(cgs.oneway == 0) {
-		return y; //nothing to draw
-	} else
-	if(cgs.attackingTeam == TEAM_BLUE) {
-		memcpy(color,g_color_table[ColorIndex(COLOR_BLUE)],sizeof(color));
-		s = va("Blue team on offence");
-	} else
-	if(cgs.attackingTeam == TEAM_RED) {
-		memcpy(color,g_color_table[ColorIndex(COLOR_RED)],sizeof(color));
-		s = va("Red team on offence");
-	} else
-		s = va("Unknown team on offence");
-
-	w = CG_DrawStrlen( s ) * SMALLCHAR_WIDTH;
-	CG_DrawSmallStringColor( 635 - w, y + 2, s, color);
-
-	return y + SMALLCHAR_HEIGHT+4;
-}
-
-/*
-=================
-CG_DrawEliminationDeathMessage
-=================
-*/
-
-/*static float CG_DrawEliminationDeathMessage( float y ) {
-	char		*s;
-	int			w;
-
-	s = va("You are waiting for a new round");
-	w = CG_DrawStrlen( s ) * SMALLCHAR_WIDTH;
-	CG_DrawSmallString( 635 - w, y + 2, s, 1.0F);
-
-	return y + SMALLCHAR_HEIGHT+4;
-}*/
-
-/*
-=================
-CG_DrawDomStatus
-=================
-*/
-
-static float CG_DrawDomStatus( float y ) {
-	int 		i,w; 
-	char		*s;
-	vec4_t		color;
-	
-	for(i = 0;i < cgs.domination_points_count;i++) {
-		switch(cgs.domination_points_status[i]) {
-			case TEAM_RED:
-				memcpy(color,g_color_table[ColorIndex(COLOR_RED)],sizeof(color));
-				break;
-			case TEAM_BLUE:
-				memcpy(color,g_color_table[ColorIndex(COLOR_BLUE)],sizeof(color));
-				break;
-			default:
-				memcpy(color,g_color_table[ColorIndex(COLOR_WHITE)],sizeof(color));
-				break;			
-		}
-		
-		s = va("%s",cgs.domination_points_names[i]);
-		w = CG_DrawStrlen( s ) * SMALLCHAR_WIDTH;
-		CG_DrawSmallStringColor( 635 - w, y + 2, s, color);
-		y += SMALLCHAR_HEIGHT+4;
-			
-	}
-
-	return y;
-}
-
-
-/*
-=================
-CG_DrawEliminationTimer
-=================
-*/
-static float CG_DrawEliminationTimer( float y ) {
-	char		*s;
-	int			w;
-	int			mins, seconds, tens, sec;
-	int			msec;
-	vec4_t			color;
-	const char	*st;
-	float scale;
-	int cw;
-	int rst;
-	
-	rst = cgs.roundStartTime;
-
-	//default color is white
-	memcpy(color,g_color_table[ColorIndex(COLOR_WHITE)],sizeof(color));
-
-	//msec = cg.time - cgs.levelStartTime;
-	if(cg.time>rst) //We are started
-	{
-		msec = cgs.roundtime*1000 - (cg.time -rst);
-		if(msec<=30*1000-1) //<= 30 seconds
-			memcpy(color,g_color_table[ColorIndex(COLOR_YELLOW)],sizeof(color));
-		if(msec<=10*1000-1) //<= 10 seconds
-			memcpy(color,g_color_table[ColorIndex(COLOR_RED)],sizeof(color));
-		msec += 1000; //120-1 instead of 119-0
-	}
-	else
-	{
-		//Warmup
-		msec = -cg.time +rst;
-		memcpy(color,g_color_table[ColorIndex(COLOR_GREEN)],sizeof(color));
-		sec = msec/1000;
-		msec += 1000; //5-1 instead of 4-0
-/***
-Lots of stuff
-****/
-	if(cg.warmup == 0)
-	{
-		st = va( "Round in: %i", sec + 1 );
-		if ( sec != cg.warmupCount ) {
-			cg.warmupCount = sec;
-			switch ( sec ) {
-			case 0:
-				trap_S_StartLocalSound( cgs.media.count1Sound, CHAN_ANNOUNCER );
-				break;
-			case 1:
-				trap_S_StartLocalSound( cgs.media.count2Sound, CHAN_ANNOUNCER );
-				break;
-			case 2:
-				trap_S_StartLocalSound( cgs.media.count3Sound, CHAN_ANNOUNCER );
-				break;
-			default:
-				break;
-			}
-		} 
-		scale = 0.45f;
-		switch ( cg.warmupCount ) {
-		case 0:
-			cw = 28;
-			scale = 0.54f;
-			break;
-		case 1:
-			cw = 24;
-			scale = 0.51f;
-			break;
-		case 2:
-			cw = 20;
-			scale = 0.48f;
-			break;
-		default:
-			cw = 16;
-			scale = 0.45f;
-			break;
-		}
-
-	#ifdef MISSIONPACK
-			//w = CG_Text_Width(s, scale, 0);
-			//CG_Text_Paint(320 - w / 2, 125, scale, colorWhite, st, 0, 0, ITEM_TEXTSTYLE_SHADOWEDMORE);
-	#else
-		w = CG_DrawStrlen( st );
-		CG_DrawStringExt( 320 - w * cw/2, 70, st, colorWhite, 
-				qfalse, qtrue, cw, (int)(cw * 1.5), 0 );
-	#endif
-	}
-/*
-Lots of stuff
-*/
-	}
-
-	seconds = msec / 1000;
-	mins = seconds / 60;
-	seconds -= mins * 60;
-	tens = seconds / 10;
-	seconds -= tens * 10;
-
-	if(msec>=0)
-		s = va( " %i:%i%i", mins, tens, seconds );
-	else
-		s = va( " Overtime");
-	w = CG_DrawStrlen( s ) * BIGCHAR_WIDTH;
-	
-	CG_DrawBigStringColor( 635 - w, y + 2, s, color);
-
-	return y + BIGCHAR_HEIGHT + 4;
-}
-
 
 /*
 =================
@@ -1309,21 +969,6 @@ static float CG_DrawTeamOverlay( float y
 //#endif
 }
 
-static float CG_DrawFollowMessage( float y ) {
-	char		*s;
-	int			w;	
-
-	if ( !(cg.snap->ps.pm_flags & PMF_FOLLOW) ) {
-		return y;
-	}
-
-	s = va("USE_ITEM to stop following");
-	w = CG_DrawStrlen( s ) * SMALLCHAR_WIDTH;
-	CG_DrawSmallString( 635 - w, y + 2, s, 1.0F);
-
-	return y + SMALLCHAR_HEIGHT+4;
-}
-
 
 /*
 =====================
@@ -1337,48 +982,21 @@ static void CG_DrawUpperRight(stereoFram
 
 	y = 0;
 
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1 && cg_drawTeamOverlay.integer == 1 ) {
+	if ( cgs.gametype >= GT_TEAM && cg_drawTeamOverlay.integer == 1 ) {
 		y = CG_DrawTeamOverlay( y, qtrue, qtrue );
-	}
-	/*if ( cgs.gametype == GT_DOUBLE_D ) {
-		y = CG_DrawDoubleDominationThings(y);
 	} 
-	else*/
-	if ( cgs.gametype == GT_LMS && cg.showScores ) {
-		y = CG_DrawLMSmode(y);
-	}
-	else
-	if ( cgs.gametype == GT_CTF_ELIMINATION ) {
-		y = CG_DrawCTFoneway(y);
-	}
-	else
-	if ( cgs.gametype == GT_DOMINATION ) {
-		y = CG_DrawDomStatus(y);
-	}
-	
 	if ( cg_drawSnapshot.integer ) {
 		y = CG_DrawSnapshot( y );
 	}
 	if (cg_drawFPS.integer && (stereoFrame == STEREO_CENTER || stereoFrame == STEREO_RIGHT)) {
 		y = CG_DrawFPS( y );
 	}
-	if (cgs.gametype==GT_ELIMINATION || cgs.gametype == GT_CTF_ELIMINATION || cgs.gametype==GT_LMS) {
-		y = CG_DrawEliminationTimer( y );
-		/*if (cgs.clientinfo[ cg.clientNum ].isDead)
-			y = CG_DrawEliminationDeathMessage( y);*/
-	}
-
-	y = CG_DrawFollowMessage( y );
-
-	if ( cg_drawTimer.integer) {
+	if ( cg_drawTimer.integer ) {
 		y = CG_DrawTimer( y );
 	}
 	if ( cg_drawAttacker.integer ) {
 		y = CG_DrawAttacker( y );
 	}
-	if ( cg_drawSpeed.integer ) {
-		y = CG_DrawSpeedMeter( y );
-	}
 
 }
 
@@ -1406,10 +1024,6 @@ static float CG_DrawScores( float y ) {
 	vec4_t		color;
 	float		y1;
 	gitem_t		*item;
-        int statusA,statusB;
-        
-        statusA = cgs.redflag;
-        statusB = cgs.blueflag;
 
 	s1 = cgs.scores1;
 	s2 = cgs.scores2;
@@ -1419,7 +1033,7 @@ static float CG_DrawScores( float y ) {
 	y1 = y;
 
 	// draw from the right side to left
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if ( cgs.gametype >= GT_TEAM ) {
 		x = 640;
 		color[0] = 0.0f;
 		color[1] = 0.0f;
@@ -1434,7 +1048,7 @@ static float CG_DrawScores( float y ) {
 		}
 		CG_DrawBigString( x + 4, y, s, 1.0F);
 
-		if ( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION) {
+		if ( cgs.gametype == GT_CTF ) {
 			// Display flag status
 			item = BG_FindItemForPowerup( PW_BLUEFLAG );
 
@@ -1445,16 +1059,6 @@ static float CG_DrawScores( float y ) {
 				}
 			}
 		}
-                
-                if ( cgs.gametype == GT_DOUBLE_D ) {
-			// Display Domination point status
-			
-				y1 = y - 32;//BIGCHAR_HEIGHT - 8;
-				if( cgs.redflag >= 0 && cgs.redflag <= 3 ) {
-					CG_DrawPic( x, y1-4, w, 32, cgs.media.ddPointSkinB[cgs.blueflag] );
-				}
-		}
-                
 		color[0] = 1.0f;
 		color[1] = 0.0f;
 		color[2] = 0.0f;
@@ -1468,7 +1072,7 @@ static float CG_DrawScores( float y ) {
 		}
 		CG_DrawBigString( x + 4, y, s, 1.0F);
 
-		if ( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION ) {
+		if ( cgs.gametype == GT_CTF ) {
 			// Display flag status
 			item = BG_FindItemForPowerup( PW_REDFLAG );
 
@@ -1479,29 +1083,8 @@ static float CG_DrawScores( float y ) {
 				}
 			}
 		}
-                
-                if ( cgs.gametype == GT_DOUBLE_D ) {
-			// Display Domination point status
-			
-				y1 = y - 32;//BIGCHAR_HEIGHT - 8;
-				if( cgs.redflag >= 0 && cgs.redflag <= 3 ) {
-					CG_DrawPic( x, y1-4, w, 32, cgs.media.ddPointSkinA[cgs.redflag] );
-				}
-                                
-                        
-                                
-                        //Time till capture:
-                        if( ( ( statusB == statusA ) && ( statusA == TEAM_RED ) ) ||
-                            ( ( statusB == statusA ) && ( statusA == TEAM_BLUE ) ) ) {
-                                s = va("%i",(cgs.timetaken+10*1000-cg.time)/1000+1);
-                                w = CG_DrawStrlen( s ) * BIGCHAR_WIDTH;
-                                CG_DrawBigString( x + 32+8-w/2, y-28, s, 1.0F);
-                        }
-		}
-                
-                
 
-		if ( cgs.gametype >= GT_CTF && cgs.ffa_gt==0) {
+		if ( cgs.gametype >= GT_CTF ) {
 			v = cgs.capturelimit;
 		} else {
 			v = cgs.fraglimit;
@@ -1693,7 +1276,7 @@ static void CG_DrawLowerRight( void ) {
 
 	y = 480 - ICON_SIZE;
 
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1 && cg_drawTeamOverlay.integer == 2 ) {
+	if ( cgs.gametype >= GT_TEAM && cg_drawTeamOverlay.integer == 2 ) {
 		y = CG_DrawTeamOverlay( y, qtrue, qfalse );
 	} 
 
@@ -1746,7 +1329,7 @@ static void CG_DrawLowerLeft( void ) {
 
 	y = 480 - ICON_SIZE;
 
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1 && cg_drawTeamOverlay.integer == 3 ) {
+	if ( cgs.gametype >= GT_TEAM && cg_drawTeamOverlay.integer == 3 ) {
 		y = CG_DrawTeamOverlay( y, qfalse, qfalse );
 	} 
 
@@ -2014,18 +1597,18 @@ static void CG_DrawDisconnect( void ) {
 	int			cmdNum;
 	usercmd_t	cmd;
 	const char		*s;
-	int			w;  // bk010215 - FIXME char message[1024];
+	int			w;
 
 	// draw the phone jack if we are completely past our buffers
 	cmdNum = trap_GetCurrentCmdNumber() - CMD_BACKUP + 1;
 	trap_GetUserCmd( cmdNum, &cmd );
 	if ( cmd.serverTime <= cg.snap->ps.commandTime
-		|| cmd.serverTime > cg.time ) {	// special check for map_restart // bk 0102165 - FIXME
+		|| cmd.serverTime > cg.time ) {	// special check for map_restart
 		return;
 	}
 
 	// also add text in center of screen
-	s = "Connection Interrupted"; // bk 010215 - FIXME
+	s = "Connection Interrupted";
 	w = CG_DrawStrlen( s ) * BIGCHAR_WIDTH;
 	CG_DrawBigString( 320 - w/2, 100, s, 1.0F);
 
@@ -2204,8 +1787,8 @@ static void CG_DrawCenterString( void ) 
 	char	*start;
 	int		l;
 	int		x, y, w;
-#ifdef MISSIONPACK // bk010221 - unused else
-  int h;
+#ifdef MISSIONPACK
+	int h;
 #endif
 	float	*color;
 
@@ -2503,7 +2086,7 @@ static void CG_DrawSpectator(void) {
 	if ( cgs.gametype == GT_TOURNAMENT ) {
 		CG_DrawBigString(320 - 15 * 8, 460, "waiting to play", 1.0F);
 	}
-	else if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	else if ( cgs.gametype >= GT_TEAM ) {
 		CG_DrawBigString(320 - 39 * 8, 460, "press ESC and use the JOIN menu to play", 1.0F);
 	}
 }
@@ -2621,7 +2204,7 @@ static qboolean CG_DrawScoreboard( void 
 
 
 	if (menuScoreboard == NULL) {
-		if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+		if ( cgs.gametype >= GT_TEAM ) {
 			menuScoreboard = Menus_FindByName("teamscore_menu");
 		} else {
 			menuScoreboard = Menus_FindByName("score_menu");
@@ -2710,10 +2293,6 @@ static void CG_DrawAmmoWarning( void ) {
 	const char	*s;
 	int			w;
 
-	//Don't report in instant gib same with RA
-	if(cgs.instantgib || cgs.rockets)
-		return;
-
 	if ( cg_drawAmmoWarning.integer == 0 ) {
 		return;
 	}
@@ -2837,22 +2416,14 @@ static void CG_DrawWarmup( void ) {
 			s = "Team Deathmatch";
 		} else if ( cgs.gametype == GT_CTF ) {
 			s = "Capture the Flag";
-		} else if ( cgs.gametype == GT_ELIMINATION ) {
-			s = "Elimination";
-		} else if ( cgs.gametype == GT_CTF_ELIMINATION ) {
-			s = "CTF Elimination";
-		} else if ( cgs.gametype == GT_LMS ) {
-			s = "Last Man Standing";
-		} else if ( cgs.gametype == GT_DOUBLE_D ) {
-			s = "Double Domination";
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		} else if ( cgs.gametype == GT_1FCTF ) {
 			s = "One Flag CTF";
 		} else if ( cgs.gametype == GT_OBELISK ) {
 			s = "Overload";
 		} else if ( cgs.gametype == GT_HARVESTER ) {
 			s = "Harvester";
-//#endif
+#endif
 		} else {
 			s = "";
 		}
@@ -2972,7 +2543,7 @@ static void CG_Draw2D(stereoFrame_t ster
 		return;
 	}
 */
-	if ( cg.snap->ps.persistant[PERS_TEAM] == TEAM_SPECTATOR /*|| cg.snap->ps.pm_type == PM_SPECTATOR*/ ) {
+	if ( cg.snap->ps.persistant[PERS_TEAM] == TEAM_SPECTATOR ) {
 		CG_DrawSpectator();
 
 		if(stereoFrame == STEREO_CENTER)
@@ -3010,7 +2581,7 @@ static void CG_Draw2D(stereoFrame_t ster
 			CG_DrawReward();
 		}
     
-		if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+		if ( cgs.gametype >= GT_TEAM ) {
 #ifndef MISSIONPACK
 			CG_DrawTeamInfo();
 #endif
Only in ioquake3svn1438/code/cgame: cg_draw.c.orig
Only in ioquake3svn1438/code/cgame: cg_draw.orig.c
diff -upr ioquake3svn1438/code/cgame/cg_drawtools.c ioquake3serverFix/code/cgame/cg_drawtools.c
--- ioquake3svn1438/code/cgame/cg_drawtools.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_drawtools.c	2008-08-09 11:28:23.000000000 -0500
@@ -431,10 +431,6 @@ void CG_ColorForHealth( vec4_t hcolor ) 
 }
 
 
-
-
-// bk001205 - code below duplicated in q3_ui/ui-atoms.c
-// bk001205 - FIXME: does this belong in ui_shared.c?
 /*
 =================
 UI_DrawProportionalString2
@@ -594,7 +590,7 @@ UI_DrawBannerString
 static void UI_DrawBannerString2( int x, int y, const char* str, vec4_t color )
 {
 	const char* s;
-	unsigned char	ch; // bk001204 : array subscript
+	unsigned char	ch;
 	float	ax;
 	float	ay;
 	float	aw;
@@ -704,7 +700,7 @@ int UI_ProportionalStringWidth( const ch
 static void UI_DrawProportionalString2( int x, int y, const char* str, vec4_t color, float sizeScale, qhandle_t charset )
 {
 	const char* s;
-	unsigned char	ch; // bk001204 - unsigned
+	unsigned char	ch;
 	float	ax;
 	float	ay;
 	float	aw;
diff -upr ioquake3svn1438/code/cgame/cg_effects.c ioquake3serverFix/code/cgame/cg_effects.c
--- ioquake3svn1438/code/cgame/cg_effects.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_effects.c	2008-08-09 11:28:23.000000000 -0500
@@ -202,7 +202,7 @@ void CG_SpawnEffect( vec3_t org ) {
 }
 
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ===============
 CG_LightningBoltBeam
@@ -377,7 +377,7 @@ void CG_InvulnerabilityJuiced( vec3_t or
 	trap_S_StartSound (org, ENTITYNUM_NONE, CHAN_BODY, cgs.media.invulnerabilityJuicedSound );
 }
 
-//#endif
+#endif
 
 /*
 ==================
diff -upr ioquake3svn1438/code/cgame/cg_ents.c ioquake3serverFix/code/cgame/cg_ents.c
--- ioquake3svn1438/code/cgame/cg_ents.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_ents.c	2008-08-09 11:28:23.000000000 -0500
@@ -343,7 +343,7 @@ static void CG_Item( centity_t *cent ) {
 	// add to refresh list
 	trap_R_AddRefEntityToScene(&ent);
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if ( item->giType == IT_WEAPON && wi->barrelModel ) {
 		refEntity_t	barrel;
 
@@ -362,7 +362,7 @@ static void CG_Item( centity_t *cent ) {
 
 		trap_R_AddRefEntityToScene( &barrel );
 	}
-//#endif
+#endif
 
 	// accompanying rings / spheres for powerups
 	if ( !cg_simpleItems.integer ) 
@@ -473,13 +473,13 @@ static void CG_Missile( centity_t *cent 
 	ent.hModel = weapon->missileModel;
 	ent.renderfx = weapon->missileRenderfx | RF_NOSHADOW;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if ( cent->currentState.weapon == WP_PROX_LAUNCHER ) {
 		if (s1->generic1 == TEAM_BLUE) {
 			ent.hModel = cgs.media.blueProxMine;
 		}
 	}
-//#endif
+#endif
 
 	// convert direction of travel into axis
 	if ( VectorNormalize2( s1->pos.trDelta, ent.axis[0] ) == 0 ) {
@@ -490,12 +490,12 @@ static void CG_Missile( centity_t *cent 
 	if ( s1->pos.trType != TR_STATIONARY ) {
 		RotateAroundDirection( ent.axis, cg.time / 4 );
 	} else {
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		if ( s1->weapon == WP_PROX_LAUNCHER ) {
 			AnglesToAxis( cent->lerpAngles, ent.axis );
 		}
 		else
-//#endif
+#endif
 		{
 			RotateAroundDirection( ent.axis, s1->time );
 		}
@@ -736,15 +736,6 @@ CG_CalcEntityLerpPositions
 */
 static void CG_CalcEntityLerpPositions( centity_t *cent ) {
 
-//unlagged - projectile nudge
-	// this will be set to how far forward projectiles will be extrapolated
-	int timeshift = 0;
-//unlagged - projectile nudge
-
-//unlagged - smooth clients #2
-	// this is done server-side now - cg_smoothClients is undefined
-	// players will always be TR_INTERPOLATE
-/*
 	// if this player does not want to see extrapolated players
 	if ( !cg_smoothClients.integer ) {
 		// make sure the clients use TR_INTERPOLATE
@@ -753,8 +744,6 @@ static void CG_CalcEntityLerpPositions( 
 			cent->nextState.pos.trType = TR_INTERPOLATE;
 		}
 	}
-*/
-//unlagged - smooth clients #2
 
 	if ( cent->interpolate && cent->currentState.pos.trType == TR_INTERPOLATE ) {
 		CG_InterpolateEntityPosition( cent );
@@ -769,58 +758,9 @@ static void CG_CalcEntityLerpPositions( 
 		return;
 	}
 
-//unlagged - timenudge extrapolation
-	// interpolating failed (probably no nextSnap), so extrapolate
-	// this can also happen if the teleport bit is flipped, but that
-	// won't be noticeable
-	if ( cent->currentState.number < MAX_CLIENTS &&
-			cent->currentState.clientNum != cg.predictedPlayerState.clientNum ) {
-		cent->currentState.pos.trType = TR_LINEAR_STOP;
-		cent->currentState.pos.trTime = cg.snap->serverTime;
-		cent->currentState.pos.trDuration = 1000 / sv_fps.integer;
-	}
-//unlagged - timenudge extrapolation
-
-//unlagged - projectile nudge
-	// if it's a missile but not a grappling hook
-	if ( cent->currentState.eType == ET_MISSILE && cent->currentState.weapon != WP_GRAPPLING_HOOK ) {
-		// if it's one of ours
-		if ( cent->currentState.otherEntityNum == cg.clientNum ) {
-			// extrapolate one server frame's worth - this will correct for tiny
-			// visual inconsistencies introduced by backward-reconciling all players
-			// one server frame before running projectiles
-			timeshift = 1000 / sv_fps.integer;
-		}
-		// if it's not, and it's not a grenade launcher
-		else if ( cent->currentState.weapon != WP_GRENADE_LAUNCHER ) {
-			// extrapolate based on cg_projectileNudge
-			timeshift = cg_projectileNudge.integer + 1000 / sv_fps.integer;
-		}
-	}
-
 	// just use the current frame and evaluate as best we can
-//	BG_EvaluateTrajectory( &cent->currentState.pos, cg.time, cent->lerpOrigin );
-//	BG_EvaluateTrajectory( &cent->currentState.apos, cg.time, cent->lerpAngles );
-	BG_EvaluateTrajectory( &cent->currentState.pos, cg.time + timeshift, cent->lerpOrigin );
-	BG_EvaluateTrajectory( &cent->currentState.apos, cg.time + timeshift, cent->lerpAngles );
-
-	// if there's a time shift
-	if ( timeshift != 0 ) {
-		trace_t tr;
-		vec3_t lastOrigin;
-
-		BG_EvaluateTrajectory( &cent->currentState.pos, cg.time, lastOrigin );
-
-		CG_Trace( &tr, lastOrigin, vec3_origin, vec3_origin, cent->lerpOrigin, cent->currentState.number, MASK_SHOT );
-
-		// don't let the projectile go through the floor
-		if ( tr.fraction < 1.0f ) {
-			cent->lerpOrigin[0] = lastOrigin[0] + tr.fraction * ( cent->lerpOrigin[0] - lastOrigin[0] );
-			cent->lerpOrigin[1] = lastOrigin[1] + tr.fraction * ( cent->lerpOrigin[1] - lastOrigin[1] );
-			cent->lerpOrigin[2] = lastOrigin[2] + tr.fraction * ( cent->lerpOrigin[2] - lastOrigin[2] );
-		}
-	}
-//unlagged - projectile nudge
+	BG_EvaluateTrajectory( &cent->currentState.pos, cg.time, cent->lerpOrigin );
+	BG_EvaluateTrajectory( &cent->currentState.apos, cg.time, cent->lerpAngles );
 
 	// adjust for riding a mover if it wasn't rolled into the predicted
 	// player state
@@ -837,15 +777,15 @@ CG_TeamBase
 */
 static void CG_TeamBase( centity_t *cent ) {
 	refEntity_t model;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	vec3_t angles;
 	int t, h;
 	float c;
 
 	if ( cgs.gametype == GT_CTF || cgs.gametype == GT_1FCTF ) {
-//#else
-//	if ( cgs.gametype == GT_CTF) {
-//#endif
+#else
+	if ( cgs.gametype == GT_CTF) {
+#endif
 		// show the flag base
 		memset(&model, 0, sizeof(model));
 		model.reType = RT_MODEL;
@@ -863,7 +803,7 @@ static void CG_TeamBase( centity_t *cent
 		}
 		trap_R_AddRefEntityToScene( &model );
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if ( cgs.gametype == GT_OBELISK ) {
 		// show the obelisk
 		memset(&model, 0, sizeof(model));
@@ -980,7 +920,7 @@ static void CG_TeamBase( centity_t *cent
 		}
 		trap_R_AddRefEntityToScene( &model );
 	}
-//#endif
+#endif
 }
 
 /*
@@ -1088,30 +1028,10 @@ void CG_AddPacketEntities( void ) {
 	// lerp the non-predicted value for lightning gun origins
 	CG_CalcEntityLerpPositions( &cg_entities[ cg.snap->ps.clientNum ] );
 
-//unlagged - early transitioning
-	if ( cg.nextSnap ) {
-		// pre-add some of the entities sent over by the server
-		// we have data for them and they don't need to interpolate
-		for ( num = 0 ; num < cg.nextSnap->numEntities ; num++ ) {
-			cent = &cg_entities[ cg.nextSnap->entities[ num ].number ];
-			if ( cent->nextState.eType == ET_MISSILE || cent->nextState.eType == ET_GENERAL ) {
-				// transition it immediately and add it
-				CG_TransitionEntity( cent );
-				cent->interpolate = qtrue;
-				CG_AddCEntity( cent );
-			}
-		}
-	}
-//unlagged - early transitioning
-
 	// add each entity sent over by the server
 	for ( num = 0 ; num < cg.snap->numEntities ; num++ ) {
 		cent = &cg_entities[ cg.snap->entities[ num ].number ];
-//unlagged - early transitioning
-		if ( !cg.nextSnap || (cent->nextState.eType != ET_MISSILE && cent->nextState.eType != ET_GENERAL) ) {
-//unlagged - early transitioning
-			CG_AddCEntity( cent );
-		} //Also unlagged
+		CG_AddCEntity( cent );
 	}
 }
 
